<?php

declare(strict_types=1);

namespace Dedi\SyliusMigrationPlugin\Service\MigrationAction;

use Dedi\SyliusMigrationPlugin\Dto\MigrationOption;

interface MigrationActionInterface
{
    public function getType(): string;

    public function execute(MigrationOption $migrationOption): void;

    public function setOptions(array $options): void;
}
